Package org.pushingpixels.substance.internal.utils.border

# Class SubstanceToolBarBorder

java.lang.Object
javax.swing.border.AbstractBorder
org.pushingpixels.substance.internal.utils.border.SubstanceToolBarBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

public class SubstanceToolBarBorder extends AbstractBorder implements UIResource
Border for toolbar.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SubstanceToolBarBorder()`

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`Insets`
`getBorderInsets(Component c, Insets newInsets)`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int w, int h)`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceToolBarBorder

public SubstanceToolBarBorder()

## Method Details

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int w, int h)

Specified by:
  `paintBorder` in interface `Border`
Overrides:
  `paintBorder` in class `AbstractBorder`

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`
Overrides:
  `getBorderInsets` in class `AbstractBorder`

### getBorderInsets

public Insets getBorderInsets(Component c, Insets newInsets)

Overrides:
  `getBorderInsets` in class `AbstractBorder`